restore.h File Reference

## Description

Initiate restore process or reboot device.

Note
  This service is only available if the device is in restore mode.

## Typedefs

typedef restored_client_private * | restored_client_t
| The client handle.

## Enumerations

enum | restored_error_t { RESTORE_E_SUCCESS = 0 , RESTORE_E_INVALID_ARG = -1 , RESTORE_E_PLIST_ERROR = -2 , RESTORE_E_MUX_ERROR = -3 , RESTORE_E_NOT_ENOUGH_DATA = -4 , RESTORE_E_RECEIVE_TIMEOUT = -5 , RESTORE_E_UNKNOWN_ERROR = -256 }
| Error Codes.

## Functions

LIBIMOBILEDEVICE_API restored_error_t | restored_client_new (idevice_t device, restored_client_t *client, const char *label)
| Creates a new restored client for the device.
LIBIMOBILEDEVICE_API restored_error_t | restored_client_free (restored_client_t client)
| Closes the restored client session if one is running and frees up the restored_client struct.
LIBIMOBILEDEVICE_API restored_error_t | restored_query_type (restored_client_t client, char **type, uint64_t *version)
| Query the type of the service daemon.
LIBIMOBILEDEVICE_API restored_error_t | restored_query_value (restored_client_t client, const char *key, plist_t *value)
| Queries a value from the device specified by a key.
LIBIMOBILEDEVICE_API restored_error_t | restored_get_value (restored_client_t client, const char *key, plist_t *value)
| Retrieves a value from information plist specified by a key.
LIBIMOBILEDEVICE_API restored_error_t | restored_send (restored_client_t client, plist_t plist)
| Sends a plist to restored.
LIBIMOBILEDEVICE_API restored_error_t | restored_receive (restored_client_t client, plist_t *plist)
| Receives a plist from restored.
LIBIMOBILEDEVICE_API restored_error_t | restored_goodbye (restored_client_t client)
| Sends the Goodbye request to restored signaling the end of communication.
LIBIMOBILEDEVICE_API restored_error_t | restored_start_restore (restored_client_t client, plist_t options, uint64_t version)
| Requests to start a restore and retrieve it's port on success.
LIBIMOBILEDEVICE_API restored_error_t | restored_reboot (restored_client_t client)
| Requests device to reboot.
LIBIMOBILEDEVICE_API void | restored_client_set_label (restored_client_t client, const char *label)
| Sets the label to send for requests to restored.